> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Company Email Senders

> Slim list of the company's email sender identities — id, name, email, status, provider, verification mode, default flag. Use the campaign/email APIs for full sender management.



## OpenAPI

````yaml GET /settings/company/emails/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /settings/company/emails/:
    get:
      tags:
        - settings
      summary: List Company Email Senders
      description: >-
        Slim list of the company's email sender identities — id, name, email,
        status, provider, verification mode, default flag. Use the
        campaign/email APIs for full sender management.
      operationId: settings_company_emails_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanySendGridSendersResponse'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    CompanySendGridSendersResponse:
      type: object
      properties:
        senders:
          type: array
          items:
            $ref: '#/components/schemas/CompanySendGridSenderItem'
      required:
        - senders
    CompanySendGridSenderItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        email:
          type: string
          format: email
        status:
          type: string
        provider:
          type: string
        verification_mode:
          type: string
        reply_to_email:
          type: string
        use_default_reply_to:
          type: boolean
        is_default:
          type: boolean
        verified_at:
          type: string
          format: date-time
          nullable: true
      required:
        - email
        - id
        - is_default
        - name
        - provider
        - reply_to_email
        - status
        - use_default_reply_to
        - verification_mode
        - verified_at
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````